Bug 1689013 (CVE-2019-3871)

Summary: CVE-2019-3871 pdns: insufficient validation of data when building a HTTP request from a DNS query
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: mstevens, psampaio, ruben, sander, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pdns 4.1.7, pdns 4.0.7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:50:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1690252, 1690253    
Bug Blocks:    

Description Laura Pardo 2019-03-14 22:34:24 UTC
A vulnerability was found in PowerDNS Authoritative Server before 4.0.7 and before 4.1.7. An insufficient validation of data coming from the user when building a HTTP request from a DNS query in the HTTP Connector of the Remote backend, allowing a remote user to cause a denial of service by making the server connect to an invalid endpoint, or possibly information disclosure by making the server connect to an internal endpoint and somehow extracting meaningful information about the response


Upstream bug:
https://github.com/PowerDNS/pdns/issues/7573

Upstream Patch:
https://github.com/PowerDNS/pdns/pull/7576

Comment 1 Dhananjay Arunesh 2019-03-19 07:08:12 UTC
External References:

https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2019-03.html

Comment 2 Dhananjay Arunesh 2019-03-19 07:10:16 UTC
Created pdns tracking bugs for this issue:

Affects: fedora-all [bug 1690252]

Comment 3 Dhananjay Arunesh 2019-03-19 07:10:40 UTC
Created pdns tracking bugs for this issue:

Affects: epel-all [bug 1690253]

Comment 4 Product Security DevOps Team 2019-06-10 10:50:54 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.